﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ClienteSOAPCSharp.WSSOAP {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://edu.up.br/", ConfigurationName="WSSOAP.WS")]
    public interface WS {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://edu.up.br/WS/somarRequest", ReplyAction="http://edu.up.br/WS/somarResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        double somar(double arg0, double arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://edu.up.br/WS/somarRequest", ReplyAction="http://edu.up.br/WS/somarResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        System.Threading.Tasks.Task<double> somarAsync(double arg0, double arg1);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface WSChannel : ClienteSOAPCSharp.WSSOAP.WS, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class WSClient : System.ServiceModel.ClientBase<ClienteSOAPCSharp.WSSOAP.WS>, ClienteSOAPCSharp.WSSOAP.WS {
        
        public WSClient() {
        }
        
        public WSClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public WSClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public WSClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public WSClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public double somar(double arg0, double arg1) {
            return base.Channel.somar(arg0, arg1);
        }
        
        public System.Threading.Tasks.Task<double> somarAsync(double arg0, double arg1) {
            return base.Channel.somarAsync(arg0, arg1);
        }
    }
}
